import { EN_AppEntities } from '@app_consts';
import { AppBaseEntity } from './generic/app.baseentity';
import { AppBaseFilter } from './generic/app.baseentityfilter';


export class WindreamSearch extends AppBaseEntity {

    typeName = EN_AppEntities.WindreamSearch;
    get entitytitle(): string {  //is used for messages
        return this.entityId ? `Windream Suchkachel "${this._name}"` : 'Neue Windream Suchkachel';
    }
    windreamSearchId: number;
    name: string;
    xmlPath: string;
    comment: string;
    clientId: number;
    color: number;


    get _name(): string {
        return this.name;
    }

    get selectionName(): string {
        return this.name;
    }

    public get entityId() {
        return this.windreamSearchId;
    }
    public set entityId(value) {
        this.windreamSearchId = value;
    }

}


export class ClientIdFilter extends AppBaseFilter {
    clientId: number;
}
